astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- NEODyS Queries (`astroquery.solarsystem.neodys`) »
- NEODySClass

# NEODySClass

class astroquery.solarsystem.neodys.NEODySClass

  Bases: `BaseQuery`

  Attributes Summary

  `NEODYS_URL` |
  `TIMEOUT` |

  Methods Summary

  `query_object`(object_id, *[, ...]) |

  Attributes Documentation

  NEODYS_URL = 'https://newton.spacedys.com/~neodys2/epoch/'
  TIMEOUT = 60

  Methods Documentation

  query_object(object_id, *, orbital_element_type='eq', epoch_near_present=0)
    Parameters:
      object_id str

        Name of objects to be searched in NEODyS website

      orbital_element_type str

        Sets coordinate system for results. eq - Equinoctial ke - Keplerian Defaults to Equinoctial which is given in higher precision.

      epoch_near_present bool

        Sets the epoch to near present day. Otherwise defaults to near middle of the arc.

    Returns:
      Returns a dictionary with the following entries:
      KEP float array

        The state vector in Keplerian elements. Units in au and deg.

      EQU float array

        The state vector in Equinoctial elements.

      COV float array

        The covariance matrix.

      COR float array

        The correlation matrix for Keplerian.

      MJD str array

        The Mean Julian date, and the time scale used.

      MAG float array

        The absolute magnitude (H) and slope parameter (G)

    Raises:
      ValueError

        If input parameters are invalid.

      RuntimeError

        If connection to website fails.